Subject: bug#39595: #39595: M-x compile still very line-length weak

From: Stefan Monnier <[email-masked]>
Date: Sat, 15 Feb 2020 08:57:19 -0500

> Anyway I recall perl is fast on regexps, newlines or not.

That's just a reputation.
In reality, maybe its constant is lower than that of Emacs's regexp
matcher, and maybe it implements a few more optimisations, but it
suffers from the same explosion as Emacs's regexp matcher with regexps
like the one under discussions (i.e. when Emacs's regexps are slow,
it's because of the basty complexity introduced by backtracking and
Perl's regexps do backtracking more or less as much as Emacs's).

        Stefan